/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLAnchorElement_H___INT_
#define __GdomHTMLAnchorElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLAnchorElement.h"
G_BEGIN_DECLS
class GDOMHTMLAnchorElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_ANCHOR_ELEMENT; }
    GDOMHTMLAnchorElement(PassRefPtr<WebCore::HTMLAnchorElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLAnchorElement_H___INT_*/
